# January 16, 2023 - Version 1.0.26

## Summary

----

**🔗  *PrismComponent* 모든 연산 및 Task들에 Multi-core 적용 (속도 향상)**

**⏳  Task 들에 queing 시스템을 적용**

**✈️  함수 추가**

Please update PrismStudio via

```python
pip install prismstudio --upgrade
```

or

```python
pip install prismstudio==1.0.26
```

## Jan 16, 2023 —
PrismStudio 1.0.26

----

### FEATURES

**[Arithmethic 함수](../../apiref/arithmetic.rst)**

- ***[arcsinh](../../apiref/api/prism._prismcomponent.prismcomponent._PrismComponent.arcsinh.rst), [arccosh](../../apiref/api/prism._prismcomponent.prismcomponent._PrismComponent.arccosh.rst), [arctanh](../../apiref/api/prism._prismcomponent.prismcomponent._PrismComponent.arctanh.rst)*** 추가
***[abs](../../apiref/api/prism._prismcomponent.prismcomponent._PrismComponent.abs.rst)*** 추가
***[prism.sum](../../apiref/api/prism.sum.rst)*** 추가
***[prism.var](../../apiref/api/prism.var.rst)*** 추가
- ***trunc*** 제거

**[Periodic 함수](../../apiref/periodic.rst)**

- 아래의 함수에 대해 weights parameter 추가

    ***[n_periods_max](../../apiref/api/prism._prismcomponent.prismcomponent._PrismComponent.n_periods_max.rst),
    [n_periods_min](../../apiref/api/prism._prismcomponent.prismcomponent._PrismComponent.n_periods_min.rst),
    [n_periods_mean](../../apiref/api/prism._prismcomponent.prismcomponent._PrismComponent.n_periods_mean.rst),
    [n_periods_std](../../apiref/api/prism._prismcomponent.prismcomponent._PrismComponent.n_periods_std.rst),
    [n_periods_var](../../apiref/api/prism._prismcomponent.prismcomponent._PrismComponent.n_periods_var.rst),
    [n_periods_skew](../../apiref/api/prism._prismcomponent.prismcomponent._PrismComponent.n_periods_skew.rst),
    [n_periods_median](../../apiref/api/prism._prismcomponent.prismcomponent._PrismComponent.n_periods_median.rst),
    [n_periods_sum](../../apiref/api/prism._prismcomponent.prismcomponent._PrismComponent.n_periods_sum.rst),
    [n_periods_z_score](../../apiref/api/prism._prismcomponent.prismcomponent._PrismComponent.n_periods_z_score.rst)***

- ***[n_periods_ewmstd](../../apiref/api/prism._prismcomponent.prismcomponent._PrismComponent.n_periods_ewmstd.rst)*** 추가
***[n_periods_ewmvar](../../apiref/api/prism._prismcomponent.prismcomponent._PrismComponent.n_periods_ewmvar.rst)*** 추가
- ***n_periods_sem*** 제거

**[Cross Sectional 함수](../../apiref/cross_sectional.rst)**

- ***[cross_sectional_skew](../../apiref/api/prism._prismcomponent.prismcomponent._PrismComponent.cross_sectional_skew.rst)*** 추가
***[cross_sectional_kurt](../../apiref/api/prism._prismcomponent.prismcomponent._PrismComponent.cross_sectional_kurt.rst)*** 추가
***[cross_sectional_mode](../../apiref/api/prism._prismcomponent.prismcomponent._PrismComponent.cross_sectional_mode.rst)*** 추가
***[cross_sectional_prod](../../apiref/api/prism._prismcomponent.prismcomponent._PrismComponent.cross_sectional_prod.rst)*** 추가
- ***cross_sectional_sem*** 제거
***cross_sectional_mad*** 제거

**[Group 함수](../../apiref/group.rst)**

- ***[cross_sectional_skew](../../apiref/api/prism._prismcomponent.prismcomponent._PrismComponent.cross_sectional_skew.rst)*** 추가
***[cross_sectional_kurt](../../apiref/api/prism._prismcomponent.prismcomponent._PrismComponent.cross_sectional_kurt.rst)*** 추가
***[cross_sectional_mode](../../apiref/api/prism._prismcomponent.prismcomponent._PrismComponent.cross_sectional_mode.rst)*** 추가
***[cross_sectional_prod](../../apiref/api/prism._prismcomponent.prismcomponent._PrismComponent.cross_sectional_prod.rst)*** 추가
- ***group_sem*** 제거
***group_mad*** 제거

**[Miscellaneous 함수](../../apiref/miscellaneous.rst)**

- ***[resample](../../apiref/api/prism._prismcomponent.prismcomponent._PrismComponent.resample.rst)*** 함수의 *beyond* parameter가 boolean 변경
- ***[resample](../../apiref/api/prism._PrismComponent.resample.rst)*** 함수 *drop_holiday* parameter 추가

**[Financial 함수](../../apiref/financial_func.rst)**

- 아래의 함수에 대해 weights parameter 추가

    ***[n_fiscal_quarters_max](../../apiref/api/prism._PrismFinancialComponent.n_fiscal_quarters_max.rst),
    [n_fiscal_quarters_min](../../apiref/api/prism._PrismFinancialComponent.n_fiscal_quarters_min.rst),
    [n_fiscal_quarters_mean](../../apiref/api/prism._PrismFinancialComponent.n_fiscal_quarters_mean.rst),
    [n_fiscal_quarters_std](../../apiref/api/prism._PrismFinancialComponent.n_fiscal_quarters_std.rst),
    [n_fiscal_quarters_var](../../apiref/api/prism._PrismFinancialComponent.n_fiscal_quarters_var.rst),
    [n_fiscal_quarters_skew](../../apiref/api/prism._PrismFinancialComponent.n_fiscal_quarters_skew.rst),
    [n_fiscal_quarters_sum](../../apiref/api/prism._PrismFinancialComponent.n_fiscal_quarters_sum.rst)***

- ***[n_fiscal_quarters_var](../../apiref/api/prism._PrismFinancialComponent.n_fiscal_quarters_var.rst)*** 추가
***[n_fiscal_quarters_z_score](../../apiref/api/prism._PrismFinancialComponent.n_fiscal_quarters_z_score.rst)*** 추가
***[n_fiscal_quarters_prod](../../apiref/api/prism._PrismFinancialComponent.n_fiscal_quarters_prod.rst)*** 추가
- ***n_fiscal_quarters_sem*** 제거
***n_fiscal_quarters_kurt*** 제거
***n_fiscal_quarters_median*** 제거

### IMPROVEMENTS

- ***PrismComponent* 모든 연산 및 Task들에 Multi-core 적용 (속도 향상)**
- **Task 들에 queing 시스템을 적용**



