# July 31, 2023 - Version 1.1.7

## Summary

---

**✈️ S&P ESG Score Added**

**⚡️ Market Impact Model Added**

**🔗 Market Data Component Enhancement**

Please update PrismStudio via

```python
pip install prismstudio --upgrade
```

or

```python
pip install prismstudio==1.1.7
```

## July 31, 2023
PrismStudio 1.1.7

---

### FEATURES

- **New Feature: S&P ESG Score Package**
    PrismStudio now includes S&P ESG Score package, through four new components: Environmental, Social, Governance, and Summary. These additions provide users with powerful ESG (Environmental, Social, Governance) cores and weights at both the dimension and detailed criteria levels,

    [Environmental Component](<#prism.esg.environmental>): Access the Environmental component to view a detailed criteria scores and weight specifically related to its environmental practices. This aspect focuses on a company's impact on the environment, such as its carbon emissions, resource usage, and environmental policies.

    [Social Component](<#prism.esg.social>): The Social component provides ESG scores and weights related to a company's social impact. This includes factors such as labor practices, employee welfare, community engagement, and diversity and inclusion initiatives.

    [Governance Component](<#prism.esg.governance>): Explore the Governance component to understand a company's governance practices and their ESG implications. This aspect encompasses factors like board structure, executive compensation, shareholder rights, and transparency.

    [Summary Component](<#prism.esg.summary>): The Summary component offers a holistic view of a company's overall ESG performance. It provides aggregated scores and weights for each of the three dimensions (Environmental, Social, Governance), enabling you to make well-informed decisions based on comprehensive ESG analysis.


- **New Features: Market Data Enhancements**
    PrismStudio now includes essential market data - [Shares Outstanding](<#prism.market.shares_outstanding>), [Implied Market Cap](<#prism.market.implied_market_cap>), and [Enterprise Value components](<#prism.market.enterprise_value>)

- **New Feature: Transaction Cost Model Category**
    PrismStudio now includes a dedicated Transaction Cost Model (tcmodel) category to help you gain deeper insights into the trading costs and market impact associated with your trading strategies.

    [Bid-Ask Spread](<#prism.tcmodel.bidaskspread>): This component enables you to analyze transaction costs based on the bid-ask spread.

    [Almgren](<#prism.tcmodel.almgren>): The Almgren component allows you to explore transaction costs using the Almgren (2005) model. This model provides sophisticated ways to evaluate the impact of trading volume on execution costs, allowing you to fine-tune your trading strategies accordingly.



